Index: contrib/scripts/live_ast
===================================================================
--- contrib/scripts/live_ast	(revision 323105)
+++ contrib/scripts/live_ast	(working copy)
@@ -99,6 +99,10 @@
 # is run.
 #LIVE_AST_BRISTUFFED_LIBPRI=yes
 #
+# LIVE_AST_VALGRIND_ARGS
+# Extra parameters to be passed to valgrind in the 'valgrind' subcommand.
+#LIVE_AST_VALGRIND_ARGS="-v --leak-check=full --suppressions=$PWD/contrib/valgrind.supp"
+#
 # LIVE_AST_FOR_SYSTEM
 # When generating asterisk.conf, use most components from the installed 
 # system. Also provide a sane var-run directory for those of us who want 
@@ -235,6 +239,10 @@
   set_ld_env
   $AST_BIN -C $AST_CONF "$@"
   ;;
+valgrind)
+  set_ld_env
+  valgrind $LIVE_AST_VALGRIND_ARGS --log-fd=9 -- $AST_BIN -C $AST_CONF "$@" 9>$PWD/live/valgrind.txt
+  ;;
 rsync)
   remote_host="$1"
   remote_dir="$2"
@@ -261,6 +269,7 @@
   echo "$0 install              make install"
   echo "$0 samples              make samples"
   echo "$0 run [params]         asterisk [params]"
+  echo "$0 valgrind [params]    valgrind -- asterisk [params]"
   echo "$0 gdb                  gdb asterisk"
   echo "$0 rsync [user@]host dir  copy files over to [user@]host:dir"
   echo "$0 gen-live-asterisk    regenerate the wrapper ./live/asterisk"
